### Function

# Clutter BindingPool get_for_class

#### Declaration [src]

    ClutterBindingPool*
    clutter_binding_pool_get_for_class (
      gpointer klass
    )

#### Description [src]

Retrieves the `ClutterBindingPool` for the given `GObject` class and, eventually, creates it. This function is a wrapper around `clutter_binding_pool_new()` and uses the class type name as the unique name for the binding pool.

Calling this function multiple times will return the same `ClutterBindingPool`.

A binding pool for a class can also be retrieved using `clutter_binding_pool_find()` with the class type name:

      pool = clutter_binding_pool_find (G_OBJECT_TYPE_NAME (instance));

#### Parameters

`klass`

  Type: `gpointer`

  A `GObjectClass` pointer.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ClutterBindingPool`

The binding pool for the given class. The returned `ClutterBindingPool` is owned by Clutter and should not be freed directly.

The data is owned by the called function.